<?php
require_once(SITE_LOGICS . 'api/logic.php');

class ControlApi extends LogicApi {

	/*-------------------------------------------------------------------------
	* @ メンバ変数
	-------------------------------------------------------------------------*/

	/*-------------------------------------------------------------------------
	* @function_name: ロジックのコンストラクタ
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function __construct() {
		parent::__construct();
	}

	/*-------------------------------------------------------------------------
	* @function_name: コントロールパネルシステム動画データ編集ロジック（各クラス共通）
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function action() {
		try {
		    $this -> checkAvailability("site", function(){
		        require_once $this -> getUserHTML('TEMPLATE_MAINTENANCE_MODE_SITE_PATH');
		        exit();
		    });
		    
			// アクション実行
			$this -> logic();

			if($this -> getType() == CONTROL_SETTING_CHANGE_MAIL) {	// メールの変更
			    require_once('change_mailaddress.php');
			} else if($this -> getMethod() == CONTROL_VER_REGIST) {	// 新規口座開設認証
			    if(!$this -> getResult()) {
			        require_once($this -> getUserHTML('TEMPLATE_REGISTER_STEP_5_FAIL_PATH', array()));
			    } else {
			        require_once($this -> getUserHTML('TEMPLATE_REGISTER_STEP_5_PATH', array()));
			    }
			} else if($this -> getMethod() == CONTROL_RE_SEND) {		// 新規口座開設認証メール再送信
			    require_once($this -> getUserHTML('TEMPLATE_LOGIN_RE_SEND_PATH', array()));
			    
			}
		} catch (Exception $e) {
			header('Location: /' . $this ->  getLangage() . '/login');
		}
	}
}
?>